<!-- DO NOT EDIT THIS FILE! -->
<!-- Instead edit contrib/cachetool.php -->
<!-- Then run bin/docgen -->

# cachetool

[Source](/contrib/cachetool.php)


Add to your _deploy.php_

```php
require 'contrib/cachetool.php';
```

## Configuration

- **cachetool** *(optional)*: accepts a *string* with the unix socket or ip address to php5-fpm. If `cachetool` is not given, then the application will look for a `cachetool.yml` file and read the configuration from there.

    ```php
    set('cachetool', '/var/run/php5-fpm.sock');
    // or
    set('cachetool', '127.0.0.1:9000');
    ```

You can also specify different cachetool settings for each host:
```php
host('staging')
    ->set('cachetool', '127.0.0.1:9000');

host('production')
    ->set('cachetool', '/var/run/php5-fpm.sock');
```

By default, if no `cachetool` parameter is provided, this recipe will fallback to the global setting.

## Usage

Since APC/APCu and OPcache deal with compiling and caching files, they should be executed right after the symlink is created for the new release:

```php
after('deploy:symlink', 'cachetool:clear:opcache');
or
after('deploy:symlink', 'cachetool:clear:apc');
or
after('deploy:symlink', 'cachetool:clear:apcu');
```

## Read more

Read more information about cachetool on the website:
http://gordalina.github.io/cachetool/


* Config
  * [`cachetool`](#cachetool)
  * [`cachetool_args`](#cachetool_args)
  * [`cachetool_options`](#cachetool_options)
* Tasks
  * [`cachetool:clear:apc`](#cachetoolclearapc) — Clearing APC system cache
  * [`cachetool:clear:opcache`](#cachetoolclearopcache) — Clearing OPcode cache
  * [`cachetool:clear:apcu`](#cachetoolclearapcu) — Clearing APCu system cache
  * [`cachetool:clear:stat`](#cachetoolclearstat) — Clearing file status and realpath caches

## Config
### cachetool
[Source](https://github.com/deployphp/deployer/search?q=%22cachetool%22+in%3Afile+language%3Aphp+path%3Acontrib+filename%3Acachetool.php)



### cachetool_args
[Source](https://github.com/deployphp/deployer/search?q=%22cachetool_args%22+in%3Afile+language%3Aphp+path%3Acontrib+filename%3Acachetool.php)



### cachetool_options
[Source](https://github.com/deployphp/deployer/search?q=%22cachetool_options%22+in%3Afile+language%3Aphp+path%3Acontrib+filename%3Acachetool.php)




## Tasks
### cachetool:clear:apc
[Source](https://github.com/deployphp/deployer/search?q=%22cachetool%3Aclear%3Aapc%22+in%3Afile+language%3Aphp+path%3Acontrib+filename%3Acachetool.php)



### cachetool:clear:opcache
[Source](https://github.com/deployphp/deployer/search?q=%22cachetool%3Aclear%3Aopcache%22+in%3Afile+language%3Aphp+path%3Acontrib+filename%3Acachetool.php)

Clear opcache cache

### cachetool:clear:apcu
[Source](https://github.com/deployphp/deployer/search?q=%22cachetool%3Aclear%3Aapcu%22+in%3Afile+language%3Aphp+path%3Acontrib+filename%3Acachetool.php)

Clear APCU cache

### cachetool:clear:stat
[Source](https://github.com/deployphp/deployer/search?q=%22cachetool%3Aclear%3Astat%22+in%3Afile+language%3Aphp+path%3Acontrib+filename%3Acachetool.php)

Clear file status cache, including the realpath cache

