<!-- DO NOT EDIT THIS FILE! -->
<!-- Instead edit contrib/chatwork.php -->
<!-- Then run bin/docgen -->

# chatwork

[Source](/contrib/chatwork.php)


# Chatwork Recipe

## Installing
  1. Create chatwork account by any manual in the internet
  2. Take chatwork token (Like: b29a700e2d15bef3f26ae6a5c142d1ea) and set `chatwork_token` parameter
  3. Take chatwork room id from url after clicked on the room, and set `chatwork_room_id` parameter
  4. If you want, you can edit `chatwork_notify_text`, `chatwork_success_text` or `chatwork_failure_text`
  5. Require chatwork recipe in your `deploy.php` file

```php
# https://deployer.org/recipes.html

require 'recipe/chatwork.php';
```

Add hook on deploy:
 
```php
before('deploy', 'chatwork:notify');
```

## Configuration

- `chatwork_token` – chatwork bot token, **required** 
- `chatwork_room_id` — chatwork room to push messages to **required**
- `chatwork_notify_text` – notification message template
  ```
  [info]
    [title](*) Deployment Status: Deploying[/title]
    Repo: {{repository}}
    Branch: {{branch}}
    Server: {{hostname}}
    Release Path: {{release_path}}
    Current Path: {{current_path}}
  [/info]
  ```
- `chatwork_success_text` – success template, default:
  ```
  [info]
    [title](*) Deployment Status: Successfully[/title]
    Repo: {{repository}}
    Branch: {{branch}}
    Server: {{hostname}}
    Release Path: {{release_path}}
    Current Path: {{current_path}}
  [/info]"
  ```
- `chatwork_failure_text` – failure template, default:
  ```
  [info]
    [title](*) Deployment Status: Failed[/title]
    Repo: {{repository}}
    Branch: {{branch}}
    Server: {{hostname}}
    Release Path: {{release_path}}
    Current Path: {{current_path}}
  [/info]"
  ```

## Tasks

- `chatwork:notify` – send message to chatwork
- `chatwork:notify:success` – send success message to chatwork
- `chatwork:notify:failure` – send failure message to chatwork

## Usage

If you want to notify only about beginning of deployment add this line only:

```php
before('deploy', 'chatwork:notify');
```

If you want to notify about successful end of deployment add this too:

```php
after('success', 'chatwork:notify:success');
```
If you want to notify about failed deployment add this too:

```php
after('deploy:failed', 'chatwork:notify:failure');
```


* Config
  * [`chatwork_token`](#chatwork_token)
  * [`chatwork_room_id`](#chatwork_room_id)
  * [`chatwork_api`](#chatwork_api)
  * [`chatwork_notify_text`](#chatwork_notify_text)
  * [`chatwork_success_text`](#chatwork_success_text)
  * [`chatwork_failure_text`](#chatwork_failure_text)
* Tasks
  * [`chatwork_send_message`](#chatwork_send_message)
  * [`chatwork:test`](#chatworktest) — Just notify chatwork with all messages, without deploying
  * [`chatwork:notify`](#chatworknotify) — Notifying Chatwork
  * [`chatwork:notify:success`](#chatworknotifysuccess) — Notifying Chatwork about deploy finish
  * [`chatwork:notify:failure`](#chatworknotifyfailure) — Notifying Chatwork about deploy failure

## Config
### chatwork_token
[Source](https://github.com/deployphp/deployer/search?q=%22chatwork_token%22+in%3Afile+language%3Aphp+path%3Acontrib+filename%3Achatwork.php)

Chatwork settings

### chatwork_room_id
[Source](https://github.com/deployphp/deployer/search?q=%22chatwork_room_id%22+in%3Afile+language%3Aphp+path%3Acontrib+filename%3Achatwork.php)



### chatwork_api
[Source](https://github.com/deployphp/deployer/search?q=%22chatwork_api%22+in%3Afile+language%3Aphp+path%3Acontrib+filename%3Achatwork.php)



### chatwork_notify_text
[Source](https://github.com/deployphp/deployer/search?q=%22chatwork_notify_text%22+in%3Afile+language%3Aphp+path%3Acontrib+filename%3Achatwork.php)

The Messages

### chatwork_success_text
[Source](https://github.com/deployphp/deployer/search?q=%22chatwork_success_text%22+in%3Afile+language%3Aphp+path%3Acontrib+filename%3Achatwork.php)



### chatwork_failure_text
[Source](https://github.com/deployphp/deployer/search?q=%22chatwork_failure_text%22+in%3Afile+language%3Aphp+path%3Acontrib+filename%3Achatwork.php)




## Tasks
### chatwork_send_message
[Source](https://github.com/deployphp/deployer/search?q=%22chatwork_send_message%22+in%3Afile+language%3Aphp+path%3Acontrib+filename%3Achatwork.php)

Helpers

### chatwork:test
[Source](https://github.com/deployphp/deployer/search?q=%22chatwork%3Atest%22+in%3Afile+language%3Aphp+path%3Acontrib+filename%3Achatwork.php)

Tasks

### chatwork:notify
[Source](https://github.com/deployphp/deployer/search?q=%22chatwork%3Anotify%22+in%3Afile+language%3Aphp+path%3Acontrib+filename%3Achatwork.php)



### chatwork:notify:success
[Source](https://github.com/deployphp/deployer/search?q=%22chatwork%3Anotify%3Asuccess%22+in%3Afile+language%3Aphp+path%3Acontrib+filename%3Achatwork.php)



### chatwork:notify:failure
[Source](https://github.com/deployphp/deployer/search?q=%22chatwork%3Anotify%3Afailure%22+in%3Afile+language%3Aphp+path%3Acontrib+filename%3Achatwork.php)



