<!-- DO NOT EDIT THIS FILE! -->
<!-- Instead edit contrib/crontab.php -->
<!-- Then run bin/docgen -->

# crontab

[Source](/contrib/crontab.php)


Recipe for adding crontab jobs.

It checks for duplicates by the command part of the job. Changing the schedule will update the crontab. So when you change the command part you have to manually remove the old one. Use `crontab -e` on the server to remove it.

## Configuration

- *crontab:jobs* - An array of strings with crontab lines.

## Usage

```php
require 'contrib/crontab.php';

after('deploy:success', 'crontab:sync');

add('crontab:jobs', [
    '* * * * * cd {{current_path}} && {{bin/php}} artisan schedule:run >> /dev/null 2>&1',
]);
```


* Tasks
  * [`crontab:load`](#crontabload) — Load crontab
  * [`crontab:sync`](#crontabsync) — Sync crontab jobs


## Tasks
### crontab:load
[Source](https://github.com/deployphp/deployer/search?q=%22crontab%3Aload%22+in%3Afile+language%3Aphp+path%3Acontrib+filename%3Acrontab.php)



### crontab:sync
[Source](https://github.com/deployphp/deployer/search?q=%22crontab%3Async%22+in%3Afile+language%3Aphp+path%3Acontrib+filename%3Acrontab.php)



