<!-- DO NOT EDIT THIS FILE! -->
<!-- Instead edit contrib/discord.php -->
<!-- Then run bin/docgen -->

# discord

[Source](/contrib/discord.php)


## Installing

Require discord recipe in your `deploy.php` file:

```php
require 'contrib/discord.php';
```

Add hook on deploy:

```php
before('deploy', 'discord:notify');
```

## Configuration

- `discord_channel` – Discord channel ID, **required**
- `discord_token` – Discord channel token, **required**

- `discord_notify_text` – notification message template, markdown supported, default:
  ```markdown
  :information_source: **{{user}}** is deploying branch `{{branch}}` to _{{target}}_
  ```
- `discord_success_text` – success template, default:
  ```markdown
  :white_check_mark: Branch `{{branch}}` deployed to _{{target}}_ successfully
  ```
- `discord_failure_text` – failure template, default:
  ```markdown
  :no_entry_sign: Branch `{{branch}}` has failed to deploy to _{{target}}_

## Usage

If you want to notify only about beginning of deployment add this line only:

```php
before('deploy', 'discord:notify');
```

If you want to notify about successful end of deployment add this too:

```php
after('deploy:success', 'discord:notify:success');
```

If you want to notify about failed deployment add this too:

```php
after('deploy:failed', 'discord:notify:failure');
```


* Config
  * [`discord_webhook`](#discord_webhook)
  * [`discord_notify_text`](#discord_notify_text)
  * [`discord_success_text`](#discord_success_text)
  * [`discord_failure_text`](#discord_failure_text)
  * [`discord_message`](#discord_message)
* Tasks
  * [`discord_send_message`](#discord_send_message)
  * [`discord:test`](#discordtest) — Just notify your Discord channel with all messages, without deploying
  * [`discord:notify`](#discordnotify) — Notify Discord
  * [`discord:notify:success`](#discordnotifysuccess) — Notify Discord about deploy finish
  * [`discord:notify:failure`](#discordnotifyfailure) — Notify Discord about deploy failure

## Config
### discord_webhook
[Source](https://github.com/deployphp/deployer/search?q=%22discord_webhook%22+in%3Afile+language%3Aphp+path%3Acontrib+filename%3Adiscord.php)



### discord_notify_text
[Source](https://github.com/deployphp/deployer/search?q=%22discord_notify_text%22+in%3Afile+language%3Aphp+path%3Acontrib+filename%3Adiscord.php)

Deploy messages

### discord_success_text
[Source](https://github.com/deployphp/deployer/search?q=%22discord_success_text%22+in%3Afile+language%3Aphp+path%3Acontrib+filename%3Adiscord.php)



### discord_failure_text
[Source](https://github.com/deployphp/deployer/search?q=%22discord_failure_text%22+in%3Afile+language%3Aphp+path%3Acontrib+filename%3Adiscord.php)



### discord_message
[Source](https://github.com/deployphp/deployer/search?q=%22discord_message%22+in%3Afile+language%3Aphp+path%3Acontrib+filename%3Adiscord.php)

The message


## Tasks
### discord_send_message
[Source](https://github.com/deployphp/deployer/search?q=%22discord_send_message%22+in%3Afile+language%3Aphp+path%3Acontrib+filename%3Adiscord.php)

Helpers

### discord:test
[Source](https://github.com/deployphp/deployer/search?q=%22discord%3Atest%22+in%3Afile+language%3Aphp+path%3Acontrib+filename%3Adiscord.php)

Tasks

### discord:notify
[Source](https://github.com/deployphp/deployer/search?q=%22discord%3Anotify%22+in%3Afile+language%3Aphp+path%3Acontrib+filename%3Adiscord.php)



### discord:notify:success
[Source](https://github.com/deployphp/deployer/search?q=%22discord%3Anotify%3Asuccess%22+in%3Afile+language%3Aphp+path%3Acontrib+filename%3Adiscord.php)



### discord:notify:failure
[Source](https://github.com/deployphp/deployer/search?q=%22discord%3Anotify%3Afailure%22+in%3Afile+language%3Aphp+path%3Acontrib+filename%3Adiscord.php)



