<!-- DO NOT EDIT THIS FILE! -->
<!-- Instead edit recipe/magento2.php -->
<!-- Then run bin/docgen -->

# magento2

[Source](/recipe/magento2.php)



* Require
  * [`recipe/common.php`](/docs/recipe/common.md)
* Config
  * [`static_content_locales`](#static_content_locales)
  * [`content_version`](#content_version)
  * [`shared_files`](#shared_files)
  * [`shared_dirs`](#shared_dirs)
  * [`writable_dirs`](#writable_dirs)
  * [`clear_paths`](#clear_paths)
  * [`magento_version`](#magento_version)
  * [`maintenance_mode_status_active`](#maintenance_mode_status_active)
* Tasks
  * [`magento:compile`](#magentocompile) — Compile magento di
  * [`magento:deploy:assets`](#magentodeployassets) — Deploy assets
  * [`magento:sync:content_version`](#magentosynccontent_version) — Sync content version
  * [`magento:maintenance:enable`](#magentomaintenanceenable) — Enable maintenance mode
  * [`magento:maintenance:disable`](#magentomaintenancedisable) — Disable maintenance mode
  * [`magento:config:import`](#magentoconfigimport) — Config Import
  * [`magento:upgrade:db`](#magentoupgradedb) — Upgrade magento database
  * [`magento:cache:flush`](#magentocacheflush) — Flush Magento Cache
  * [`deploy:magento`](#deploymagento) — Magento2 deployment operations
  * [`deploy`](#deploy) — Deploy your project

## Config
### static_content_locales
[Source](https://github.com/deployphp/deployer/search?q=%22static_content_locales%22+in%3Afile+language%3Aphp+path%3Arecipe+filename%3Amagento2.php)

By default setup:static-content:deploy uses `en_US`.
To change that, simply put `set('static_content_locales', 'en_US de_DE');`
in you deployer script.

### content_version
[Source](https://github.com/deployphp/deployer/search?q=%22content_version%22+in%3Afile+language%3Aphp+path%3Arecipe+filename%3Amagento2.php)



### shared_files
[Source](https://github.com/deployphp/deployer/search?q=%22shared_files%22+in%3Afile+language%3Aphp+path%3Arecipe+filename%3Amagento2.php)

* Overrides [`shared_files`](/docs/recipe/common.md#shared_files) from `recipe/common.php`



### shared_dirs
[Source](https://github.com/deployphp/deployer/search?q=%22shared_dirs%22+in%3Afile+language%3Aphp+path%3Arecipe+filename%3Amagento2.php)

* Overrides [`shared_dirs`](/docs/recipe/common.md#shared_dirs) from `recipe/common.php`



### writable_dirs
[Source](https://github.com/deployphp/deployer/search?q=%22writable_dirs%22+in%3Afile+language%3Aphp+path%3Arecipe+filename%3Amagento2.php)

* Overrides [`writable_dirs`](/docs/recipe/deploy/writable.md#writable_dirs) from `recipe/deploy/writable.php`



### clear_paths
[Source](https://github.com/deployphp/deployer/search?q=%22clear_paths%22+in%3Afile+language%3Aphp+path%3Arecipe+filename%3Amagento2.php)

* Overrides [`clear_paths`](/docs/recipe/common.md#clear_paths) from `recipe/common.php`



### magento_version
[Source](https://github.com/deployphp/deployer/search?q=%22magento_version%22+in%3Afile+language%3Aphp+path%3Arecipe+filename%3Amagento2.php)



### maintenance_mode_status_active
[Source](https://github.com/deployphp/deployer/search?q=%22maintenance_mode_status_active%22+in%3Afile+language%3Aphp+path%3Arecipe+filename%3Amagento2.php)




## Tasks
### magento:compile
[Source](https://github.com/deployphp/deployer/search?q=%22magento%3Acompile%22+in%3Afile+language%3Aphp+path%3Arecipe+filename%3Amagento2.php)

Tasks

### magento:deploy:assets
[Source](https://github.com/deployphp/deployer/search?q=%22magento%3Adeploy%3Aassets%22+in%3Afile+language%3Aphp+path%3Arecipe+filename%3Amagento2.php)



### magento:sync:content_version
[Source](https://github.com/deployphp/deployer/search?q=%22magento%3Async%3Acontent_version%22+in%3Afile+language%3Aphp+path%3Arecipe+filename%3Amagento2.php)



### magento:maintenance:enable
[Source](https://github.com/deployphp/deployer/search?q=%22magento%3Amaintenance%3Aenable%22+in%3Afile+language%3Aphp+path%3Arecipe+filename%3Amagento2.php)



### magento:maintenance:disable
[Source](https://github.com/deployphp/deployer/search?q=%22magento%3Amaintenance%3Adisable%22+in%3Afile+language%3Aphp+path%3Arecipe+filename%3Amagento2.php)



### magento:config:import
[Source](https://github.com/deployphp/deployer/search?q=%22magento%3Aconfig%3Aimport%22+in%3Afile+language%3Aphp+path%3Arecipe+filename%3Amagento2.php)



### magento:upgrade:db
[Source](https://github.com/deployphp/deployer/search?q=%22magento%3Aupgrade%3Adb%22+in%3Afile+language%3Aphp+path%3Arecipe+filename%3Amagento2.php)



### magento:cache:flush
[Source](https://github.com/deployphp/deployer/search?q=%22magento%3Acache%3Aflush%22+in%3Afile+language%3Aphp+path%3Arecipe+filename%3Amagento2.php)



### deploy:magento
[Source](https://github.com/deployphp/deployer/search?q=%22deploy%3Amagento%22+in%3Afile+language%3Aphp+path%3Arecipe+filename%3Amagento2.php)



This task is group task which contains next tasks:
* [`magento:compile`](/docs/recipe/magento2.md#magentocompile)
* [`magento:deploy:assets`](/docs/recipe/magento2.md#magentodeployassets)
* [`magento:config:import`](/docs/recipe/magento2.md#magentoconfigimport)
* [`magento:upgrade:db`](/docs/recipe/magento2.md#magentoupgradedb)


### deploy
[Source](https://github.com/deployphp/deployer/search?q=%22deploy%22+in%3Afile+language%3Aphp+path%3Arecipe+filename%3Amagento2.php)



This task is group task which contains next tasks:
* [`deploy:prepare`](/docs/recipe/common.md#deployprepare)
* [`deploy:vendors`](/docs/recipe/deploy/vendors.md#deployvendors)
* [`deploy:clear_paths`](/docs/recipe/deploy/clear_paths.md#deployclear_paths)
* [`deploy:magento`](/docs/recipe/magento2.md#deploymagento)
* [`deploy:publish`](/docs/recipe/common.md#deploypublish)


