<!-- DO NOT EDIT THIS FILE! -->
<!-- Instead edit recipe/symfony.php -->
<!-- Then run bin/docgen -->

# symfony

[Source](/recipe/symfony.php)



* Require
  * [`recipe/common.php`](/docs/recipe/common.md)
* Config
  * [`symfony_version`](#symfony_version)
  * [`shared_dirs`](#shared_dirs)
  * [`shared_files`](#shared_files)
  * [`writable_dirs`](#writable_dirs)
  * [`migrations_config`](#migrations_config)
  * [`console_options`](#console_options)
* Tasks
  * [`database:migrate`](#databasemigrate) — Migrate database
  * [`deploy:cache:clear`](#deploycacheclear) — Clear cache
  * [`deploy:cache:warmup`](#deploycachewarmup) — Warm up cache
  * [`deploy`](#deploy) — Deploy project

## Config
### symfony_version
[Source](https://github.com/deployphp/deployer/search?q=%22symfony_version%22+in%3Afile+language%3Aphp+path%3Arecipe+filename%3Asymfony.php)



### shared_dirs
[Source](https://github.com/deployphp/deployer/search?q=%22shared_dirs%22+in%3Afile+language%3Aphp+path%3Arecipe+filename%3Asymfony.php)

* Overrides [`shared_dirs`](/docs/recipe/common.md#shared_dirs) from `recipe/common.php`



### shared_files
[Source](https://github.com/deployphp/deployer/search?q=%22shared_files%22+in%3Afile+language%3Aphp+path%3Arecipe+filename%3Asymfony.php)

* Overrides [`shared_files`](/docs/recipe/common.md#shared_files) from `recipe/common.php`



### writable_dirs
[Source](https://github.com/deployphp/deployer/search?q=%22writable_dirs%22+in%3Afile+language%3Aphp+path%3Arecipe+filename%3Asymfony.php)

* Overrides [`writable_dirs`](/docs/recipe/deploy/writable.md#writable_dirs) from `recipe/deploy/writable.php`



### migrations_config
[Source](https://github.com/deployphp/deployer/search?q=%22migrations_config%22+in%3Afile+language%3Aphp+path%3Arecipe+filename%3Asymfony.php)



### console_options
[Source](https://github.com/deployphp/deployer/search?q=%22console_options%22+in%3Afile+language%3Aphp+path%3Arecipe+filename%3Asymfony.php)




## Tasks
### database:migrate
[Source](https://github.com/deployphp/deployer/search?q=%22database%3Amigrate%22+in%3Afile+language%3Aphp+path%3Arecipe+filename%3Asymfony.php)



### deploy:cache:clear
[Source](https://github.com/deployphp/deployer/search?q=%22deploy%3Acache%3Aclear%22+in%3Afile+language%3Aphp+path%3Arecipe+filename%3Asymfony.php)



### deploy:cache:warmup
[Source](https://github.com/deployphp/deployer/search?q=%22deploy%3Acache%3Awarmup%22+in%3Afile+language%3Aphp+path%3Arecipe+filename%3Asymfony.php)



### deploy
[Source](https://github.com/deployphp/deployer/search?q=%22deploy%22+in%3Afile+language%3Aphp+path%3Arecipe+filename%3Asymfony.php)



This task is group task which contains next tasks:
* [`deploy:prepare`](/docs/recipe/common.md#deployprepare)
* [`deploy:vendors`](/docs/recipe/deploy/vendors.md#deployvendors)
* [`deploy:cache:clear`](/docs/recipe/symfony.md#deploycacheclear)
* [`deploy:cache:warmup`](/docs/recipe/symfony.md#deploycachewarmup)
* [`deploy:publish`](/docs/recipe/common.md#deploypublish)


